# Mixed-Reality

> see https://aka.ms/autorest

This is the AutoRest configuration file for Mixed-Reality Azure Resource Management.

---
## Getting Started
To build the SDK for Azure Resource Management, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

---
## Configuration

### Basic Information
These are the global settings for the Mixed Reality Azure Resource Management Client.

``` yaml
title: MixedRealityClient
description: Mixed Reality Client
openapi-type: arm
tag: package-2019-02-preview
```

### Tag: package-2019-02-preview

These settings apply only when `--tag=package-2019-02-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-02-preview'
input-file:
- Microsoft.MixedReality/preview/2019-02-28-preview/mixedreality.json
```

---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-go
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  payload-flattening-threshold: 1
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.MixedReality
  output-folder: $(csharp-sdks-folder)/MixedReality/Management.MixedReality/Generated
  clear-output-folder: true
```

## Python

These settings apply only when `--python` is specified on the command line.
Please also specify `--python-sdks-folder=<path to the root directory of your azure-sdk-for-python clone>`.
Use `--python-mode=update` if you already have a setup.py and just want to update the code itself.

``` yaml $(python)
python-mode: create
python:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 2
  namespace: azure.mgmt.mixedreality
  package-name: azure-mgmt-mixedreality
  package-version: 0.0.1
  clear-output-folder: true
```
``` yaml $(python) && $(python-mode) == 'update'
python:
  no-namespace-folders: true
  output-folder: $(python-sdks-folder)/azure-mgmt-mixedreality/azure/mgmt/mixedreality
```
``` yaml $(python) && $(python-mode) == 'create'
python:
  basic-setup-py: true
  output-folder: $(python-sdks-folder)/azure-mgmt-mixedreality
```

## Go

See configuration in [readme.go.md](./readme.go.md)
